org.red5.server.net.rtmp.message

## Enum StreamAction

- java.lang.Object
- - java.lang.Enum<StreamAction>
  - - org.red5.server.net.rtmp.message.StreamAction

All Implemented Interfaces:
  Serializable, Comparable<StreamAction>

    public enum StreamAction
    extends Enum<StreamAction>

Represents all the actions which may be permitted on a stream.

Author:
  Paul Gregoire

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLOSE_STREAM`
`CONNECT`
`CREATE_STREAM`
`CUSTOM`
`DELETE_STREAM`
`DISCONNECT`
`INIT_STREAM`
`PAUSE`
`PAUSE_RAW`
`PLAY`
`PLAY2`
`PUBLISH`
`RECEIVE_AUDIO`
`RECEIVE_VIDEO`
`RELEASE_STREAM`
`SEEK`
`STOP`

### Method Summary

Methods
`boolean` `equals(StreamAction action)`
`boolean` `equals(String actionString)`
`String` `getActionString()`
`static StreamAction` `getEnum(String actionString)`
`String` `toString()`
`static StreamAction` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StreamAction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONNECT

    public static final StreamAction CONNECT

#### DISCONNECT

    public static final StreamAction DISCONNECT

#### CREATE_STREAM

    public static final StreamAction CREATE_STREAM

#### DELETE_STREAM

    public static final StreamAction DELETE_STREAM

#### CLOSE_STREAM

    public static final StreamAction CLOSE_STREAM

#### INIT_STREAM

    public static final StreamAction INIT_STREAM

#### RELEASE_STREAM

    public static final StreamAction RELEASE_STREAM

#### PUBLISH

    public static final StreamAction PUBLISH

#### PAUSE

    public static final StreamAction PAUSE

#### PAUSE_RAW

    public static final StreamAction PAUSE_RAW

#### SEEK

    public static final StreamAction SEEK

#### PLAY

    public static final StreamAction PLAY

#### PLAY2

    public static final StreamAction PLAY2

#### STOP

    public static final StreamAction STOP

#### RECEIVE_VIDEO

    public static final StreamAction RECEIVE_VIDEO

#### RECEIVE_AUDIO

    public static final StreamAction RECEIVE_AUDIO

#### CUSTOM

    public static final StreamAction CUSTOM

### Method Detail

#### values

    public static StreamAction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StreamAction c : StreamAction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StreamAction valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getActionString

    public String getActionString()

#### getEnum

    public static StreamAction getEnum(String actionString)

#### equals

    public boolean equals(StreamAction action)

#### equals

    public boolean equals(String actionString)

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<StreamAction>`